sapco2 1.2.0.1

.NET 5.0 .NET Standard 2.0
Install-Package sapco2 -Version 1.2.0.1
dotnet add package sapco2 --version 1.2.0.1
<PackageReference Include="sapco2" Version="1.2.0.1" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add sapco2 --version 1.2.0.1
The NuGet Team does not provide support for this client. Please contact its maintainers for support.
#r "nuget: sapco2, 1.2.0.1"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install sapco2 as a Cake Addin
#addin nuget:?package=sapco2&version=1.2.0.1

// Install sapco2 as a Cake Tool
#tool nuget:?package=sapco2&version=1.2.0.1
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

license Nuget Nuget-download

Multi Build And Test ( Net5.0, Core3.1, Core2.1 )

Türkçe Dökümantasyon Full Documentation

SapCo2 (SAP Connector Core)

We tried to design SAPCO2 as a library for data processing over SAP in the simplest and fastest way. We focused on quick use, simplifying it as much as possible.

Referenced by SapNwRfc and NwRfcNet projects that were previously developed during the development phase. I recommend that you take a look at these two projects before examining the project. Especially the Wrapper parts have emerged by combining the common aspects of the two projects.

SapCo2 is support .Net Core, Net 5 ve .Net Frameworks.

Requiretment

Our library needs .dll files developed with C ++ in SAP NetWeaver RFC Library 7.50 SDK. For the installation of the relevant SDK package and more: You can refer to the official page of: sparkles: SAP.

After obtaining the relevant SKD (requires an SAP licensed account from you);

  • Extract your zip file to a directory of your own and show the lib directory in the files you extract to the environment variable PATH (Windows), LD_LIBRARY_PATH (Linux), DYLD_LIBRARY_PATH (MacOS) according to your operating system.
  • or directly copy the contents of the lib folder to your output directory.

To use the SDK package in the Windows operating system, you must install the 64-bit version of Visual C ++ 2013 redistributable package.

Product Versions
.NET net5.0 net5.0-windows net6.0 net6.0-android net6.0-ios net6.0-maccatalyst net6.0-macos net6.0-tvos net6.0-windows
.NET Core netcoreapp2.0 netcoreapp2.1 netcoreapp2.2 netcoreapp3.0 netcoreapp3.1
.NET Standard netstandard2.0 netstandard2.1
.NET Framework net461 net462 net463 net47 net471 net472 net48
MonoAndroid monoandroid
MonoMac monomac
MonoTouch monotouch
Tizen tizen40 tizen60
Xamarin.iOS xamarinios
Xamarin.Mac xamarinmac
Xamarin.TVOS xamarintvos
Xamarin.WatchOS xamarinwatchos
Compatible target framework(s)
Additional computed target framework(s)
Learn more about Target Frameworks and .NET Standard.

NuGet packages (3)

Showing the top 3 NuGet packages that depend on sapco2:

Package Downloads
DCMS.Module.CRM.Infrastructure

DCMS Module CRM(CRM同步套件) - Infrastructure

DCMS.Module.CRM.Application

DCMS Module CRM(CRM同步套件) - Application

DCMS.Module.Archive.Application

DCMS Module Archive(基础档案) - Application

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
1.2.0.1 1,339 8/5/2021
1.0.0.6 2,231 12/2/2020
1.0.0.5 9,160 8/13/2020
1.0.0.4 281 8/13/2020
1.0.0.3 288 8/13/2020
1.0.0.2 297 8/13/2020
1.0.0.1 229 8/12/2020
1.0.0-Beta.6 163 8/10/2020
1.0.0-Beta.5 185 8/6/2020
1.0.0-Beta.4 189 8/6/2020
1.0.0-Beta.3 194 8/6/2020
1.0.0-Beta.2 210 8/6/2020
1.0.0-beta.1 174 8/6/2020
1.0.0-Alpha.1 152 8/12/2020

# 1.2.0.1 Changeset
- Usage simplified
- Improved Meta DATA information of RFC and BAPI definitions,
- Added connection pool support
- Added multi-connection support
- Changed the connection configuration structure
- Changed function calls
- Example projects expanded